MagickCore: cache-view.h File Reference

# cache-view.h File Reference

`#include "magick/pixel.h"`

Go to the source code of this file.

## Typedefs
typedef struct _CacheView | CacheView
## Enumerations
enum | VirtualPixelMethod { UndefinedVirtualPixelMethod, BackgroundVirtualPixelMethod, ConstantVirtualPixelMethod, DitherVirtualPixelMethod, EdgeVirtualPixelMethod, MirrorVirtualPixelMethod, RandomVirtualPixelMethod, TileVirtualPixelMethod, TransparentVirtualPixelMethod, MaskVirtualPixelMethod, BlackVirtualPixelMethod, GrayVirtualPixelMethod, WhiteVirtualPixelMethod }
## Functions
MagickExport const PixelPacket * | AcquireCacheViewPixels (const CacheView *, const long, const long, const unsigned long, const unsigned long, ExceptionInfo *)
MagickExport ClassType | GetCacheViewStorageClass (const CacheView *)
MagickExport ColorspaceType | GetCacheViewColorspace (const CacheView *)
MagickExport const IndexPacket * | AcquireCacheViewIndexes (const CacheView *)
MagickExport ExceptionInfo * | GetCacheViewException (const CacheView *)
MagickExport IndexPacket * | GetCacheViewIndexes (const CacheView *)
MagickExport MagickBooleanType | SetCacheViewStorageClass (CacheView *, const ClassType)
MagickExport MagickBooleanType | SetCacheViewVirtualPixelMethod (CacheView *, const VirtualPixelMethod)
MagickExport MagickBooleanType | SyncCacheView (CacheView *)
MagickExport PixelPacket | AcquireOneCacheViewPixel (const CacheView *, const long, const long, ExceptionInfo *)
MagickExport PixelPacket * | GetCacheViewPixels (CacheView *, const long, const long, const unsigned long, const unsigned long)
MagickExport PixelPacket * | GetOneCacheViewPixel (const CacheView *, const long, const long)
MagickExport PixelPacket ** | SetCacheView (CacheView *, const long, const long, const unsigned long, const unsigned long)
MagickExport CacheView * | CloseCacheView (CacheView *)
MagickExport CacheView ** | CloneCacheView (const CacheView *)
MagickExport CacheView *** | OpenCacheView (const Image *)

## Typedef Documentation

typedef struct _CacheView CacheView

## Enumeration Type Documentation

enum VirtualPixelMethod

Enumerator:

  UndefinedVirtualPixelMethod |
  BackgroundVirtualPixelMethod |
  ConstantVirtualPixelMethod |
  DitherVirtualPixelMethod |
  EdgeVirtualPixelMethod |
  MirrorVirtualPixelMethod |
  RandomVirtualPixelMethod |
  TileVirtualPixelMethod |
  TransparentVirtualPixelMethod |
  MaskVirtualPixelMethod |
  BlackVirtualPixelMethod |
  GrayVirtualPixelMethod |
  WhiteVirtualPixelMethod |

## Function Documentation

MagickExport const IndexPacket* AcquireCacheViewIndexes | ( | const CacheView * |  | ) |

MagickExport const PixelPacket* AcquireCacheViewPixels | ( | const CacheView * | ,
|  | const | long,
|  | const | long,
|  | const unsigned | long,
|  | const unsigned | long,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport PixelPacket AcquireOneCacheViewPixel | ( | const CacheView * | ,
|  | const | long,
|  | const | long,
|  | ExceptionInfo * |  |
| ) |  |  |

MagickExport CacheView* * CloneCacheView | ( | const CacheView * |  | ) |

MagickExport CacheView* CloseCacheView | ( | CacheView * |  | ) |

MagickExport ColorspaceType GetCacheViewColorspace | ( | const CacheView * |  | ) |

MagickExport ExceptionInfo* GetCacheViewException | ( | const CacheView * |  | ) |

MagickExport IndexPacket* GetCacheViewIndexes | ( | const CacheView * |  | ) |

MagickExport PixelPacket * GetCacheViewPixels | ( | CacheView * | ,
|  | const | long,
|  | const | long,
|  | const unsigned long | ,
|  | const unsigned long |  |
| ) |  |  |

MagickExport ClassType GetCacheViewStorageClass | ( | const CacheView * |  | ) |

MagickExport PixelPacket * GetOneCacheViewPixel | ( | const CacheView * | ,
|  | const | long,
|  | const | long |
| ) |  |  |

MagickExport CacheView* * * OpenCacheView | ( | const Image * |  | ) |

MagickExport PixelPacket * * SetCacheView | ( | CacheView * | ,
|  | const | long,
|  | const | long,
|  | const unsigned | long,
|  | const unsigned | long |
| ) |  |  |

MagickExport MagickBooleanType SetCacheViewStorageClass | ( | CacheView * | ,
|  | const | ClassType |
| ) |  |  |

MagickExport MagickBooleanType SetCacheViewVirtualPixelMethod | ( | CacheView * | ,
|  | const | VirtualPixelMethod |
| ) |  |  |

MagickExport MagickBooleanType SyncCacheView | ( | CacheView * |  | ) |